This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 245888 - Make gtkspell support Enchant/Hunspell
Make gtkspell support Enchant/Hunspell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkspell (Show other bugs)
8
All Linux
high Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 207571 F9Target
  Show dependency treegraph
 
Reported: 2007-06-27 04:14 EDT by Nicolas Mailhot
Modified: 2007-12-20 08:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 08:28:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-06-27 04:14:52 EDT
Please make Fedora gtkspell support Enchant/Hunspell

Even though industrial Enchant/Hunspell gtkspell support is only scheduled for
gtkspell3, patches exist for previous versions. Waiting for gtkspell3 has a
major drawback: gtkspell apps use aspell dicts and OO.o/Firefox use hunspell dicts

aspell and hunspell dicts are not synchronized to spellchecking behaviour is
different from app to app when both exist

sometimes only hunspell dicts exist

end result is confused users

Moreover the people who could fix the dicts just look at the number of variants
(ispell/aspell/hunspell) they're supposed to maintain and just give up (or
decide to do only hunspell)

The problems of using an early gtkspell3 or a gtkspell2 patched for enchant are
dwarfed by the benefits of killing the aspell/hunspell dict duplication
Comment 1 Matthew Barnes 2007-07-16 12:23:30 EDT
Nicolas, can you point me to the patches for gtkspell2 ?
Comment 2 Nicolas Mailhot 2007-07-16 13:30:41 EDT
They're on the enchant page gtkspell -> enchant -> hunspell
Comment 3 Matthias Clasen 2007-10-03 12:58:07 EDT
I guess at this point, this is no longer an F8 target...
Comment 4 Dwayne Bailey 2007-12-11 05:57:50 EST
Here is the link to the patch.  Just for clarity this seems to make gtkspell use
Enchant which in turn can use hunspell (amongst other checkers)

http://www.abisource.com/~dom/gtkspell-2.0.11-enchant.patch
Comment 5 Matthew Barnes 2007-12-20 08:28:00 EST
Fixed in gtkspell-2.0.11-5.fc9.

Note You need to log in before you can comment on or make changes to this bug.